MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030517Open CASCADE[OCCT] OCCT:Inspectorspublic2019-02-25 10:412020-09-27 14:30
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0030517: Inspectors - improvements in ShapeView plugin
DescriptionIt is proposed to:
- implement "Explode" context menu action on a shape item in tree view. Calling this action cases build of the item subtree using TopExp::MapShapes by the type. (By default the tree generating uses TopoDS_Iterator)
- display properties of a selected tree item in Property Panel. (Similar to DFBrowser plugin).
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0082327)
git (administrator)
2019-02-25 12:17

Branch CR30517 has been created by nds.

SHA-1: 2b4094183df26dfe0dae62f63822d7bf6d2214c6


Detailed log of new commits:

Author: nds
Date: Mon Feb 25 12:12:44 2019 +0300

    0030517: Inspectors - improvements in ShapeView plugin
    
    - implement "Explode" context menu action on a shape item in tree view. Calling this action cases build of the item subtree using TopExp::MapShapes by the type. (By default the tree generating uses TopoDS_Iterator)
    - display properties of a selected tree item in Property Panel. (Similar to DFBrowser plugin).
(0095178)
nds (developer)
2020-09-21 10:14

It's fixed in 30268.
(0095179)
nds (developer)
2020-09-21 10:15

Dear Igor,
please, close it.
(0095415)
git (administrator)
2020-09-27 14:30

Branch CR30517 has been deleted by inv.

SHA-1: 2b4094183df26dfe0dae62f63822d7bf6d2214c6

- Issue History
Date Modified Username Field Change
2019-02-25 10:41 nds New Issue
2019-02-25 10:41 nds Assigned To => nds
2019-02-25 12:17 git Note Added: 0082327
2019-09-19 09:43 nds Target Version 7.4.0 => 7.5.0
2020-09-21 10:14 nds Note Added: 0095178
2020-09-21 10:14 nds Status new => resolved
2020-09-21 10:14 nds Status resolved => reviewed
2020-09-21 10:15 nds Note Added: 0095179
2020-09-21 10:15 nds Assigned To nds => bugmaster
2020-09-21 18:04 bugmaster Target Version 7.5.0 => 7.6.0*
2020-09-22 09:36 bugmaster Status reviewed => verified
2020-09-22 09:36 bugmaster Resolution open => fixed
2020-09-22 09:36 bugmaster Target Version 7.6.0* => 7.5.0
2020-09-27 14:30 git Note Added: 0095415


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker